﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using GlobalBank.Admin.Views;
using Microsoft.Practices.ObjectBuilder;

public partial class Admin_Default : System.Web.UI.Page, IDefaultView
{
    private DefaultViewPresenter _presenter;

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            this._presenter.OnViewInitialized();
        }
        this._presenter.OnViewLoaded();
    }

    [CreateNew]
    public DefaultViewPresenter Presenter
    {
        set
        {
            this._presenter = value;
            this._presenter.View = this;
        }
    }
    protected void ThrowApplicationExceptionButton_Click(object sender, EventArgs e)
    {
        throw new ApplicationException("ApplicationException test");
    }
    protected void ThrowNotImplementedExceptionButton_Click(object sender, EventArgs e)
    {
        throw new NotImplementedException("Feature under development.");
    }
}

