using System;
namespace GlobalBank.EFT.BusinessEntities
{
    [Serializable]
    public class Transfer
    {
        private string _sourceAccount;
        private string _targetAccount;
        private decimal _amount;
        private string _status;
        private Guid _id;

        public Transfer()
        {
        }

        public Transfer(string sourceAccount, string targetAccount, decimal amount, string status)
        {
            _sourceAccount = sourceAccount;
            _targetAccount = targetAccount;
            _amount = amount;
            _status = status;
        }

        public Guid Id
        {
            get { return _id; }
            set { _id = value; }
        }

        public string Status
        {
            get { return _status; }
            set { _status = value; }
        }

        public decimal Amount
        {
            get { return _amount; }
            set { _amount = value; }
        }

        public string TargetAccount
        {
            get { return _targetAccount; }
            set { _targetAccount = value; }
        }

        public string SourceAccount
        {
            get { return _sourceAccount; }
            set { _sourceAccount = value; }
        }
    }
}